import request from '@/utils/request'

// 新增机器设备信息
export function addEqptData(params) {
    return request.post('/assetsCalculateEqptData/addEqptData', params)
}

// 获取是否有进口设备
export function hasImportedEquipment(params) {
    return request.get(`/assetsCalculateEqptData/hasImportedEquipment/${params}`)
}

// 分页查询导入的机器设备测算数据
export function getDataPage(params) {
    return request.get('/assetsCalculateEqptData/getDataPage', { params: params })
}

// 更新机器设备数据
export function updateData(params) {
    return request.put('/assetsCalculateEqptData/update', params)
}

// 批量更新机器设备数据
export function updateBatch(params) {
    return request.put('/assetsCalculateEqptData/updateBatch', params)
}

// 分页查询进口设备信息
export function getImpDataPage(params) {
    return request.get('/assetsCalculateEqptData/getImpDataPage', { params: params })
}

// 更新机器设备进口设备数据
export function updateImpData(params) {
    return request.put('/assetsCalculateEqptData/updateImpData', params)
}

// 批量更新机器设备进口设备数据
export function updateBatchImpData(params) {
    return request.put('/assetsCalculateEqptData/updateBatchImpData', params)
}

// 分页查询非标设备信息
export function getNonSDataPage(params) {
    return request.get('/assetsCalculateEqptData/getNonSDataPage', { params: params })
}

// 更新机器设备非标设备数据
export function updateNonSData(params) {
    return request.put('/assetsCalculateEqptData/updateNonSData', params)
}

// 批量更新机器设备非标设备数据
export function updateBatchNonSData(params) {
    return request.put('/assetsCalculateEqptData/updateBatchNonSData', params)
}

// 获取机器设备作价table的筛选条件
export function getEqptTableFilterVO(params) {
    return request.get('/assetsCalculateEqptData/getEqptTableFilterVO', { params: params })
}

// 根据机器设备信息id删除
export function deleteEqptDataById(params) {
    return request.delete(`/assetsCalculateEqptData/deleteEqptDataById/${params}`)
}
